<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DefaultCS.aspx.cs" Inherits="Telerik.Web.Examples.Dock.ClientSideEvents.DefaultCS" %>

<%@ register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<%@ register  namespace="Telerik.QuickStart" tagprefix="qsf" %>
<%@ register src="~/Common/Header.ascx" tagname="Header" tagprefix="qsf" %>
<%@ register src="~/Common/HeadTag.ascx" tagname="HeadTag" tagprefix="qsf" %>
<%@ register src="~/Common/Footer.ascx" tagname="Footer" tagprefix="qsf" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <qsf:headtag id="Headtag1" runat="server" />
</head>
<body class="BODY">
    <form id="Form1" runat="server" method="post">
        <qsf:header id="Header1" runat="server" navigationlanguage="c#" />

        <script type="text/javascript">
        //<![CDATA[
		/**********************************************************
                                Dock Events
        **********************************************************/ 
        
        function OnClientDragStart(sender, eventArgs)
        {
            logEvent("You started dragging RadDock with ID " + sender.get_id() + ".");
        }
        
        function OnClientDragEnd(sender, eventArgs)
        {
            logEvent("You finished dragging RadDock with ID " + sender.get_id() + ".");
        }
        
        function OnClientDrag(sender, eventArgs)
        {
            logEvent("You are dragging RadDock with ID " + sender.get_id() + ".");
        }
        
        function OnClientDockPositionChanged(sender, eventArgs)
        {
            logEvent("You moved RadDock with ID " + sender.get_id() + ".");
        }
        
        function OnClientDockPositionChanging(sender, eventArgs)
        {
            logEvent("You are moving RadDock with ID " + sender.get_id() + ".");
        }
        
        function OnClientCommand(sender, eventArgs)
        {
            logEvent("You clicked " + eventArgs.Command.get_name() + " on RadDock with ID " + sender.get_id() + ".");
        }
        
        function OnClientResizeStart(sender, eventArgs)
        {
            logEvent("You started resizing RadDock with ID " + sender.get_id() + ".");
        }
        
        function OnClientResizeEnd(sender, eventArgs)
        {
            logEvent("You finished resizing RadDock with ID " + sender.get_id() + ".");
        }
		
        //]]>
        </script>
        <telerik:RadScriptManager id="ScriptManager" runat="server">
        </telerik:RadScriptManager>
        
        <br />
        <telerik:raddocklayout id="RadDockLayout1" runat="server">
            <table>
                <tr>
                    <td>
                        <telerik:raddockzone id="RadDockZone1" runat="server" minheight="200" width="300">
                            <telerik:raddock id="RadDock1" runat="server" 
                                onclientcommand="OnClientCommand" onclientdockpositionchanged="OnClientDockPositionChanged"
                                onclientdockpositionchanging="OnClientDockPositionChanging" onclientdrag="OnClientDrag"
                                onclientdragend="OnClientDragEnd" onclientdragstart="OnClientDragStart" 
                                onclientresizestart="OnClientResizeStart" onclientresizeend="OnClientResizeEnd" resizable="true"
                                title="RadDock1" text="RadDock1">
                            </telerik:raddock>
                            <telerik:raddock id="RadDock2" runat="server" onclientcommand="OnClientCommand" 
                                onclientdockpositionchanged="OnClientDockPositionChanged" defaultcommands="All"
                                onclientdockpositionchanging="OnClientDockPositionChanging" onclientdrag="OnClientDrag"
                                onclientdragend="OnClientDragEnd" onclientdragstart="OnClientDragStart" resizable="true"
                                onclientresizestart="OnClientResizeStart" onclientresizeend="OnClientResizeEnd" text="RadDock2"
                                title="RadDock2">
                            </telerik:raddock>
                        </telerik:raddockzone>
                    </td>
                    <td>
                        <telerik:raddockzone id="RadDockZone2" runat="server" minheight="200" width="300">
                        </telerik:raddockzone>
                    </td>
                </tr>
            </table>
        </telerik:raddocklayout>
        <qsf:EventLogConsole ID="EventLogConsole1" runat="server" AllowClear="true" />
        <qsf:footer id="Footer1" runat="server" showcodeviewer="true" />
    </form>
</body>
</html>
