using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;


namespace Telerik.Web.Examples.Dock.Default
{
    public partial class DefaultCS : System.Web.UI.Page
	{
        ListItem floatingItem;
        ListItem dockedItem;
        ListItem defaultItem;
		private void Page_Load(object sender, System.EventArgs e)
		{
            defaultItem = cbChooseDockMode.Items.FindByValue("Default");
            dockedItem = cbChooseDockMode.Items.FindByValue("Docked");
            floatingItem = cbChooseDockMode.Items.FindByValue("Floating");
            //DockMode.Floating mode will be enabled if all docks are floating
            floatingItem.Enabled = (RadDock1.DockZoneID == String.Empty && RadDock2.DockZoneID == String.Empty);
            //DockMode.Docked mode will be enabled if all docks are docked
            dockedItem.Enabled = (RadDock1.DockZoneID != String.Empty && RadDock2.DockZoneID != String.Empty);            
        }
        protected void cbEnableRoundedCornes_CheckedChanged(object sender, EventArgs e)
        {
            bool selectedValue = cbEnableRoundedCornes.Checked;
            RadDock1.EnableRoundedCorners = selectedValue;
            RadDock2.EnableRoundedCorners = selectedValue;
        }
        protected void cbEnableEnableAnimation_CheckedChanged(object sender, EventArgs e)
        {
            bool selectedValue = cbEnableEnableAnimation.Checked;
            RadDock1.EnableAnimation = selectedValue;
            RadDock2.EnableAnimation = selectedValue;
            
        }
        protected void cbEnableResize_CheckedChanged(object sender, EventArgs e)
        {
            bool selectedValue = cbEnableResize.Checked;
            RadDock1.Resizable = selectedValue;
            RadDock2.Resizable = selectedValue;
        }
        protected void cbEnableDrag_CheckedChanged(object sender, EventArgs e)
        {
            bool selectedValue = cbEnableDrag.Checked;
            RadDock1.EnableDrag = selectedValue;
            RadDock2.EnableDrag = selectedValue;
        }
        protected void cbChooseDockHandle_SelectedIndexChanged(object sender, EventArgs e)
        {
            DockHandle handle = (DockHandle)Enum.Parse(typeof(DockHandle), cbChooseDockHandle.SelectedItem.Value);
            RadDock1.DockHandle = handle;
            RadDock2.DockHandle = handle;
        }
        protected void cbChooseDockMode_SelectedIndexChanged(object sender, EventArgs e)
        {
            DockMode mode = (DockMode)Enum.Parse(typeof(DockMode), cbChooseDockMode.SelectedItem.Value);
            bool isSomeDockDocked = RadDock1.DockZoneID != String.Empty || RadDock2.DockZoneID != String.Empty;
            bool isSomeDockUndocked = RadDock1.DockZoneID == String.Empty || RadDock2.DockZoneID == String.Empty;
            if (isSomeDockDocked == true && mode == DockMode.Floating)
            {
                RadDock1.DockMode = DockMode.Default;
                RadDock1.DockMode = DockMode.Default;
                floatingItem.Selected = false;
                defaultItem.Selected = true;
            }
            else
            {
                if (isSomeDockUndocked == true && mode == DockMode.Docked)
                {
                    RadDock1.DockMode = DockMode.Default;
                    RadDock1.DockMode = DockMode.Default;
                    dockedItem.Selected = false;
                    defaultItem.Selected = true;
                }
                else
                {
                    RadDock1.DockMode = mode;
                    RadDock2.DockMode = mode;
                }
            }
        }
	}
}