using System;
using System.Collections.Generic;
using System.Web.Script.Serialization;
using System.Web.UI;
using System.Web;
using System.Collections;
using System.Data.SqlClient;
using System.Configuration;

namespace Telerik.Web.Examples.Dock.LoadSaveState
{
    public partial class DefaultCS : System.Web.UI.Page
	{
		private void Page_Load(object sender, System.EventArgs e)
		{
			ArrayList source = new ArrayList();
			source.Add("one");
			source.Add("two");
			source.Add("three");

			GridView1.DataSource = source;
			GridView1.DataBind();
		}

		protected void RadDockLayout1_SaveDockLayout(object sender, Telerik.Web.UI.DockLayoutEventArgs e)
		{
			// Store the positions in a cookie. Note, that if there are lots of dock objects on the page
			// the cookie length might become insufficient. In this case it would be better to use the 
			// cookie to store a key from a database, where the positions will be actually stored.
			//
			// You can store the positions directly in a database and use the ID of the currently logged 
			// user as a key to his personalized positions.
			JavaScriptSerializer serializer = new JavaScriptSerializer();
			string serializedPositions = serializer.Serialize(e.Positions);
			string serializedIndices = serializer.Serialize(e.Indices);

			HttpCookie positionsCookie = new HttpCookie("DockLayout", 
				serializer.Serialize(new string[] { serializedPositions, serializedIndices }));

			//Ensure that the cookie will not expire soon
			positionsCookie.Expires = DateTime.Now.AddYears(1);
			Response.Cookies.Add(positionsCookie);
		}

		protected void RadDockLayout1_LoadDockLayout(object sender, Telerik.Web.UI.DockLayoutEventArgs e)
		{
			HttpCookie positionsCookie = Request.Cookies["DockLayout"];
            if (!Object.Equals(positionsCookie, null))
			{
				string serializedPositionsAndIndices = positionsCookie.Value;
				if (!string.IsNullOrEmpty(serializedPositionsAndIndices))
				{
					JavaScriptSerializer serializer = new JavaScriptSerializer();
					string[] positionsAndIndices = serializer.Deserialize<string[]>(serializedPositionsAndIndices);

					e.Positions = serializer.Deserialize<Dictionary<string, string>>(positionsAndIndices[0]);
					e.Indices = serializer.Deserialize<Dictionary<string, int>>(positionsAndIndices[1]);
				}
			}
		}
	}
}