Imports System
Imports System.Collections.Generic
Imports System.Web.Script.Serialization
Imports System.Web.UI
Imports System.Web
Imports System.Collections
Imports System.Data.SqlClient
Imports System.Configuration

Namespace Telerik.Web.Examples.Dock.LoadSaveState
	Public Partial Class DefaultVB
		Inherits System.Web.UI.Page
		Private Sub Page_Load(sender As Object, e As System.EventArgs)
			Dim source As New ArrayList()
			source.Add("one")
			source.Add("two")
			source.Add("three")

			GridView1.DataSource = source
			GridView1.DataBind()
		End Sub

		Protected Sub RadDockLayout1_SaveDockLayout(sender As Object, e As Telerik.Web.UI.DockLayoutEventArgs)
			' Store the positions in a cookie. Note, that if there are lots of dock objects on the page
			' the cookie length might become insufficient. In this case it would be better to use the 
			' cookie to store a key from a database, where the positions will be actually stored.
			'
			' You can store the positions directly in a database and use the ID of the currently logged 
			' user as a key to his personalized positions.
			Dim serializer As New JavaScriptSerializer()
			Dim serializedPositions As String = serializer.Serialize(e.Positions)
			Dim serializedIndices As String = serializer.Serialize(e.Indices)

			Dim positionsCookie As New HttpCookie("DockLayout", serializer.Serialize(New String() {serializedPositions, serializedIndices}))

			'Ensure that the cookie will not expire soon
			positionsCookie.Expires = DateTime.Now.AddYears(1)
			Response.Cookies.Add(positionsCookie)
		End Sub

		Protected Sub RadDockLayout1_LoadDockLayout(sender As Object, e As Telerik.Web.UI.DockLayoutEventArgs)
			Dim positionsCookie As HttpCookie = Request.Cookies("DockLayout")
			If Not [Object].Equals(positionsCookie, Nothing) Then
				Dim serializedPositionsAndIndices As String = positionsCookie.Value
				If Not String.IsNullOrEmpty(serializedPositionsAndIndices) Then
					Dim serializer As New JavaScriptSerializer()
					Dim positionsAndIndices As String() = serializer.Deserialize(Of String())(serializedPositionsAndIndices)

					e.Positions = serializer.Deserialize(Of Dictionary(Of String, String))(positionsAndIndices(0))
					e.Indices = serializer.Deserialize(Of Dictionary(Of String, Integer))(positionsAndIndices(1))
				End If
			End If
		End Sub
	End Class
End Namespace
