<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Content.aspx.cs" Inherits="Telerik.Web.Examples.Dock.RightToLeft.Content" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>RTL RadDock Page</title>
    <style type="text/css">
        html
        {
            direction: rtl;
        }
        .topicDiv
        {
            font-weight: bold;
            margin-top: 5px;
            margin-bottom: 5px;
        }
        a, a:visited
        {
            color: #0066CC;
        }
        a:hover
        {
            color: #0066CC;
            text-decoration: none;
        }
    </style>

    <script runat="server">

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.IsPostBack)
            {
                Label1.Text = GetLanguage("Arabic",2);
                Label2.Text = GetLanguage("Farsi",6);
                Label3.Text = GetLanguage("Hebrew",2);
            }
        }

        private string GetLanguage(string selectedLanguage, int parCount)
        {
            System.Xml.XmlDocument languageFile = new System.Xml.XmlDocument();
            languageFile.Load(Server.MapPath("Languages.xml"));
            // Get root element ;
            System.Xml.XmlElement languages = languageFile.DocumentElement;
            System.Xml.XmlNode selectedLangNode = languages.SelectSingleNode(selectedLanguage);

            System.Xml.XmlNodeList nodelist = selectedLangNode.SelectNodes("p");
            int count = nodelist.Count < parCount ? nodelist.Count : parCount;
            string text = String.Empty;
            for (int i = 0;i< count;i++)
            {
                text += nodelist[i].OuterXml;
            }
            return text;
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="ScriptManager1" runat="server" />
    <telerik:RadFormDecorator ID="FormDecorator1" runat="server" DecoratedControls="default"
        Skin="Web20"></telerik:RadFormDecorator>
    <telerik:RadDockLayout runat="server" ID="RadDockLayout1" Skin="Web20">
        <telerik:RadDockZone runat="server" ID="RadDockZone1" Style="float: left; margin-right: 10px;
            background: #f5f4e8;" Width="250" MinHeight="400">
            <telerik:RadDock runat="server" ID="RadDock1" Title="Arabic">
                <ContentTemplate>
                            <asp:Label ID="Label1" runat="server"></asp:Label>
                </ContentTemplate>
            </telerik:RadDock>
        </telerik:RadDockZone>
        <telerik:RadDockZone runat="server" ID="RadDockZone2" Style="float: left; margin-right: 10px;
            background: #f5f4e8;" Width="250" MinHeight="400">
            <telerik:RadDock runat="server" ID="RadDock4" Title="Farsi">
                <ContentTemplate>
                   <asp:Label ID="Label2" runat="server"></asp:Label>
                </ContentTemplate>
            </telerik:RadDock>
        </telerik:RadDockZone>
        <telerik:RadDockZone runat="server" ID="RadDockZone3" Style="float: left; background: #f5f4e8;"
            Width="250" MinHeight="400">
             <telerik:RadDock runat="server" ID="RadDock2" Title="Hebrew">
                <ContentTemplate>
                    <asp:Label ID="Label3" runat="server"></asp:Label>
                </ContentTemplate>
            </telerik:RadDock>
        </telerik:RadDockZone>
    </telerik:RadDockLayout>
    </form>
</body>
</html>
